import { DataSet } from './types';
export interface DataSetReaderConfig {
    csvSeparator?: string;
}
export declare class DatasetReader {
    static readData(path: string, config: DataSetReaderConfig): DataSet;
    private static readFile;
    private static getExtension;
    static readCSV(path: string, separator?: string): DataSet;
    static getDataFromDirectory(path: string): DataSet;
}
